<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.TransactionDetailsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.TransactionDetails">
        <id column="transaction_id" property="transactionId" />
        <result column="create_time" property="createTime" />
        <result column="related_id" property="relatedId" />
        <result column="transaction_type" property="transactionType" />
        <result column="account_id" property="accountId" />
        <result column="amount" property="amount" />
        <result column="balance_after" property="balanceAfter" />
        <result column="transaction_date" property="transactionDate" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, transaction_id, related_id, transaction_type, account_id, amount, balance_after, transaction_date, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
